Subject: Re: bug#52669: 29.0.50; build failure: ‘Qsqlitep’ undeclared

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Dec 2021 18:45:42 +0200

> From: Sam Steingold <[email-masked]>
> Date: Mon, 20 Dec 2021 09:53:42 -0500
> Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>
> 
> I build in a separate directory.
> I just did
> 
> rm -rf build
> mkdir build
> cd build
> ../configure --with-imagemagick   --with-mailutils --with-native-compilation
> make bootstrap
> 
> and got
> 
> make[2]: Entering directory '/home/sds/src/emacs/trunk/build/src'
>   GEN      globals.h
>   CC       dispnew.o
> In file included from ../../src/dispnew.c:27:
> ../../src/lisp.h: In function ‘CHECK_SQLITE’:
> ../../src/lisp.h:2677:27: error: ‘Qsqlitep’ undeclared (first use in
> this function); did you mean ‘Qslice’?
>  2677 |   CHECK_TYPE (SQLITE (x), Qsqlitep, x);
>       |                           ^~~~~~~~
>       |                           Qslice

Qsqlitep is defined in globals.h, and lisp.h includes globals.h on
line 957, way before line 2677.  So I don't think I understand how
this could happen.  Does your globals.h include the #define for
Qsqlitep?  If not, I think maybe make-docfile produces a corrupt
globals.h or something?